# cpuinfo_t Struct Reference

`#include <smp.h>`

## Data Fields

uInt8 | id
uInt8 | ok
| 1=Ok, 0=Bad
uInt8 | apic_id
uInt8 | apic_ver
uInt32 | signature
| Family, Model, Stepping.
uInt32 | feature
uInt32 | max
char | brand [49]
| Brand name.
char | ident [17]

## Detailed Description

Structure containing informtaion about the CPU

## Field Documentation

uInt8 cpuinfo_t::apic_id

uInt8 cpuinfo_t::apic_ver

char cpuinfo_t::brand[49]

| Brand name.

uInt32 cpuinfo_t::feature

uInt8 cpuinfo_t::id

char cpuinfo_t::ident[17]

uInt32 cpuinfo_t::max

uInt8 cpuinfo_t::ok

| 1=Ok, 0=Bad

uInt32 cpuinfo_t::signature

| Family, Model, Stepping.

The documentation for this struct was generated from the following file:

- smp.h